#
# spec file for package eject (Version 2.1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline recode rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           eject
BuildRequires:  recode
License:        GPL
Group:          System/Base
URL:            http://eject.sourceforge.net/
Autoreqprov:    on
Summary:        A Program to Eject Media under Software Control
Version:        2.1.0
Release:        12.2
Source:         %{name}-%{version}.tar.bz2
Patch1:         %{name}-%{version}-subfs.diff
Patch3:         %{name}-%{version}-scsi.diff
Patch4:         %{name}-%{version}-po-cleanup.diff
Patch5:         %{name}-%{version}-prototypes.diff
PreReq:         permissions
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Eject allows removable media (typically a CD-ROM, floppy disk, tape, or
JAZ or ZIP disk) to be ejected under software control. The command can
also control some multidisc CD-ROM changers, the autoeject feature
supported by some devices, and close the disc tray of some CD-ROM
drives.



Authors:
--------
    Jeff Tranter <tranter@pobox.com>

%debug_package
%prep
%setup -q
%patch1
%patch3
%patch4
%patch5

%build
aclocal
automake -a
autoconf
./configure --prefix=%{_prefix} --bindir=/bin --mandir=%{_mandir} --enable-default-device=/dev/cdrom
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT/bin/volname $RPM_BUILD_ROOT%{_bindir}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_permissions

%verifyscript
%verify_permissions -e /bin/eject

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog TODO PORTING INSTALL
%doc %{_mandir}/man?/*
%verify(not mode) %attr(4750,root,audio) /bin/eject
%{_bindir}/*

%changelog -n eject
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - mjancar@suse.cz
- update to 2.1.0
- drop obsolete patches
  * eject-2.1.0-media.diff
  * eject-2.1.0-noabort.diff
* Mon Aug 29 2005 - mjancar@suse.cz
- fix deprecated SCSI ioctl (#113861)
- more cleanups in po-files
- split patches by subject
* Tue Aug 09 2005 - mmarek@suse.cz
- Set Content-Type in po/de_DE.po (Bug #102608)
* Mon Dec 13 2004 - sndirsch@suse.de
- moved chinese and japanese mo files to correct directory
  (Bug #47262)
* Wed Nov 10 2004 - ro@suse.de
- permission handling fixes
* Mon Feb 23 2004 - adrian@suse.de
- add patch to support subfs and supermount mounts
  (do eject, but do not unmount, based on supermount-eject patch)
* Fri Dec 20 2002 - tcrhak@suse.cz
- update to version 2.0.13
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Sep 10 2002 - tcrhak@suse.cz
- removed BLKRRPART ioctl which caused error when scsi
  was being ejected (bug #19236). This is not necessary
  as the device is unmounted.
* Mon Dec 10 2001 - tcrhak@suse.cz
- update to 2.0.12
- gz changed to bz2
* Wed Jul 18 2001 - nadvornik@suse.cz
- update to 2.0.10
* Thu May 10 2001 - nadvornik@suse.cz
- patched to compare major and minor device number when
  looking for mounted device [bug #6691]
* Thu Dec 14 2000 - smid@suse.cz
- change permission of man page to 644
* Tue Dec 12 2000 - olh@suse.de
- add security patch from <krahmer@cs.uni-potsdam.de>
  set %%attr(4750,root,audio) for /bin/eject
* Tue Sep 19 2000 - olh@suse.de
- move binary to /bin
* Tue Apr 18 2000 - smid@suse.cz
- buildroot added
* Mon Apr 10 2000 - uli@suse.de
- now works without /etc/fstab
* Sat Feb 12 2000 - grimmer@suse.de
- added Group tag and URL to spec file
- moved man page to /usr/share/man
- use version macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 26 1999 - grimmer@suse.de
- initial package (Version 2.0.2)
